Show / Hide Table of Contents

# Struct AddonItemSearchResult

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonItemSearchResult

### Fields

| Improve this Doc View Source

#### AdvancedSearch

##### Declaration

    public AtkComponentButton*AdvancedSearch

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### ErrorMessage

##### Declaration

    public AtkTextNode*ErrorMessage

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### History

##### Declaration

    public AtkComponentButton*History

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### HitsMessage

##### Declaration

    public AtkTextNode*HitsMessage

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### ItemIcon

##### Declaration

    public AtkComponentIcon*ItemIcon

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### ItemName

##### Declaration

    public AtkTextNode*ItemName

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Results

##### Declaration

    public AtkComponentList*Results

##### Field Value

Type | Description
--- | ---
AtkComponentList* |